Bug 1262068 - [RFE][cinder] Implement optimized RBD to RBD volume migration
[RFE][cinder] Implement optimized RBD to RBD volume migration
Status: ON_DEV
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
9.0 (Mitaka)
Unspecified Unspecified
medium Severity low
: Upstream M2
: 13.0 (Queens)
Assigned To: Jon Bernard
Avi Avraham
https://blueprints.launchpad.net/cind...
upstream_milestone_none upstream_defi...
: FutureFeature
: 1315661 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-10 14:38 EDT by Jon Bernard
Modified: 2017-07-31 21:58 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Cause: Consequence: Fix: Result:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 256091 None None None 2016-01-18 10:51 EST

  None (edit)
Description Jon Bernard 2015-09-10 14:38:50 EDT
Generic volume migration was added to Cinder during the Liberty cycle.  This allows the RBD driver to participate in volume migration using the "generic" method where each block is read from the source volume and written to the target volume.  Although this gives customers the ability to migration volumes where previously they had no options, the block-for-block copy is more work than needed when both backends (source and target) reside on the same Ceph cluster.  In this case, an optimized migration methond can be implemented to take advantage of the underlying storage knowlege.  We should do this.
Comment 3 Sean Cohen 2016-07-26 09:38:06 EDT
*** Bug 1315661 has been marked as a duplicate of this bug. ***
Comment 4 Jon Bernard 2016-08-16 12:00:48 EDT
update: patch is complete to my knowledge, waiting on upstream reviews
Comment 5 Elise Gafford 2016-08-22 14:48:50 EDT
Moving to ON_DEV, as this change is currently under upstream review.

Note You need to log in before you can comment on or make changes to this bug.